secure-device-plugin

Secure Device Plugin

Deprecated
Stable version 2.0.2 (Compatible with OutSystems 11)
Other versions available for 10
Published on 25 May 2018 by 
0.0
 (0 ratings)
secure-device-plugin

Secure Device Plugin

Details
Mobile extension to validate if a device is easily compromised. It validates, on initialization, that the device is not rooted (Android) or jailbroken (iOS). It also validates that a screen lock mechanism is set, a pattern, a pin, or a password. If the device is not secure a message is shown to the user and the app exits without showing any information to the user.
Read more

The plugin validates, when it initializes, that the device is not compromised, i.e. it is not rooted (Android) or jailbroken (iOS). It also validates that a pin, pattern, or passcode is set to lock the device. If the device is not secured according to this criteria a message is shown to the user and the app exits without showing any information.

How to use it

Simply add a reference to the plugin and use the CheckSecureDevicePlugin action in the OnApplicationReady event. This ensures that the plugin will be included in the native build.

How to customize it

The plugin is localized for the following languages:

  • English
  • Portuguese
  • Spanish
  • French
  • German
  • Japanese

If you wish to add a new language fork the GitHub repository, add the language resources, and update the plugin url in the module.

What’s new (2.0.2)

Using version 1.0.4 of plugin.

Reviewed implementation of root detection for Android devices.

Reviews (0)